Bitrate change endpoint
The bitrateChange endpoint allows you to track changes in the quality of playback content to a user. Call this endpoint whenever the user experiences a change in the bitrate of the media player. See the Bitrate change event in the Streaming Media services documentation for additional details.
Usage of this endpoint requires an active session. Make sure that you call the sessionStart endpoint first to obtain a valid session ID.
bitrateChange
POST https://edge.adobedc.net/ee/va/v1/bitrateChange?configId={datastreamID}
data-slots=heading, code
data-repeat=1
data-languages=CURL
Request
curl -X POST "https://edge.adobedc.net/ee/va/v1/bitrateChange?configId={datastreamID}" \
--header 'Content-Type: application/json' \
--data '{
"events": [
{
"xdm": {
"eventType": "media.bitrateChange",
"mediaCollection": {
"sessionID": "ffab5[...]45ec3",
"playhead": 0,
"qoeDataDetails": {
"bitrate": 100
}
},
"timestamp": "YYYY-08-20T22:41:40+00:00"
}
}
]
}'
If successfully processed, the API returns 204 No Content.
This endpoint requires the following payload properties within the xdm object:
eventTypemedia.bitrateChange for this endpoint.mediaCollectiontimestampThe mediaCollection object requires several properties. See Media Collection Details data type in the Experience Data Model guide for more information.
sessionIDsessionStart endpoint.playheadqoeDataDetailsbitrate property however is recommended.